Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.compiere.report
Class ReportStarter.ReportData

    java.lang.Object
      org.compiere.report.ReportStarter.ReportData

Enclosing class:
  ReportStarter

class ReportStarter.ReportData
extends java.lang.Object

Field Summary
`private boolean` | `directPrint`
`private java.lang.String` | `reportFilePath`

Constructor Summary
`ReportStarter.ReportData(java.lang.String reportFilePath, boolean directPrint)`

Method Summary
`java.lang.String` | `getReportFilePath()`
`boolean` | `isDirectPrint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reportFilePath

    private java.lang.String reportFilePath

### directPrint

    private boolean directPrint

Constructor Detail

### ReportStarter.ReportData

    public ReportStarter.ReportData(java.lang.String reportFilePath,
                                    boolean directPrint)

Method Detail

### getReportFilePath

    public java.lang.String getReportFilePath()

### isDirectPrint

    public boolean isDirectPrint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD